Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface HierarchicalElement

    org.gradle.tooling.model.HierarchicalElement
      org.gradle.tooling.model.Element
          org.gradle.tooling.model.Model

All Superinterfaces:
  Element, Model

    public interface HierarchicalElement
    extends Element

Represents an element which belongs to some hierarchy.

Since:
  1.0-milestone-5

Method Summary
`DomainObjectSet` | `getChildren()` Returns the child elements, or the empty set if there are no child elements.
`HierarchicalElement` | `getParent()` Returns the parent of this element, or `null` if there is no parent.

Methods inherited from interface Element
getDescription, getName

Method Detail

### getChildren

    public DomainObjectSet getChildren()

  Returns the child elements, or the empty set if there are no child elements.
  Returns:
    The child elements, or the empty set if there are no child elements.

### getParent

    @Nullable
    public HierarchicalElement getParent()

  Returns the parent of this element, or `null` if there is no parent.
  Returns:
    The parent of this element, or `null` if there is no parent.

Gradle API 1.1-rc-1